# Fetch all user balances

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/balances`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body (empty JSON)

```
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response body**

{% tabs %}
{% tab title="200 list of maps of pay currency to balance" %}

```json
{
   [
      "$PAY_CURRENCY_VALUE":{
         "totalBalance":"String",
         "holdBalance":"String",
         "availableBalance":"String"
      }
   ]
}
```

{% endtab %}
{% endtabs %}

**Response JSON attributes**

<table data-header-hidden><thead><tr><th width="248"></th><th width="131.33333333333331"></th><th></th></tr></thead><tbody><tr><td><code>$PAY_CURRENCY_VALUE</code></td><td><code>attribute name</code></td><td>reach out to accessed values to define attributes by link: <a href="/pages/T8Adh6BIVE4Ma5SN3zSc"><code>/api/v1/info/currencies</code></a><br>attribute <code>"payCurrencies"</code></td></tr><tr><td><code>"totalBalance"</code></td><td><code>String</code></td><td>Sum of hold and available balances.</td></tr><tr><td><code>"holdBalance"</code></td><td><code>String</code></td><td>Temporary kept balance until balance will be unlocked.</td></tr><tr><td><code>"availableBalance"</code></td><td><code>String</code></td><td>Available balance to withdrawal</td></tr></tbody></table>

**Request curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/balances' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/balances' \
--header 'X-EX-APIKEY: test_api_key_123456' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: dummy_signature_abc123' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data-raw '{}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thedex.cloud/documentation/balances/fetch-balances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
